Bug 326251 - (CVE-2007-5001) CVE-2007-5001 kernel asynchronous IO on a FIFO kernel panic
CVE-2007-5001 kernel asynchronous IO on a FIFO kernel panic
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
reported=20070928,source=it,public=20...
: Security
Depends On: 311621 326261 326271
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 08:48 EDT by Mark J. Cox (Product Security)
Modified: 2010-12-21 12:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 12:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-10-10 08:48:37 EDT
Using asynchronous IO on a FIFO causes RHEL 3U9 to kernel panic.

(Does not occur in RHEL 4 as the pipe_write function has been re-written) 

This is a security issue because a local unprivileged user can cause a kernel panic.

Reproducer in bz#311621
Comment 2 Jan Lieskovsky 2008-05-07 02:46:49 EDT
This issue posted on 2008-06-05 to upstream security list. Reviewed and
confirmed by Don Howard and Josef Bacik, this issue not present in upstream
vanilla 2.4.21 kernel -> lifting the embargo for this one.
Comment 3 Vincent Danen 2010-12-21 12:10:10 EST
This was addressed via:

Red Hat Enterprise Linux version 3 (RHSA-2008:0211)

Note You need to log in before you can comment on or make changes to this bug.